Subject: Re: bug#42811: 26.1; visual-line-mode wraps at no-break space

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Aug 2020 18:02:43 +0300

> From: Marvin ‘quintus’ Gülker
>  <[email-masked]>
> Date: Tue, 11 Aug 2020 16:03:44 +0200
> 
> To reproduce: enable visual-line-mode, write a document that contains a
> NBSP, and shrink the window so that its edge hits the NBSP.
> visual-line-mode will break the line at the NBSP, albeit it shouldn't.

If you set nobreak-char-display to nil, you get the behavior you want.